Package fr.gouv.vitam.common

# Class BaseXx

java.lang.Object
fr.gouv.vitam.common.BaseXx

public final class BaseXx extends Object
Base16, Base32 and Base64 codecs

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getBase16(byte[] bytes)`
  `static final String`
  `getBase32(byte[] bytes)`
  `static final String`
  `getBase64(byte[] bytes)`
  `static final String`
  `getBase64UrlWithoutPadding(byte[] bytes)`
  `static final String`
  `getBase64UrlWithPadding(byte[] bytes)`
  `static final byte[]`
  `getFromBase16(String base16)`
  `static final byte[]`
  `getFromBase32(String base32)`
  `static final byte[]`
  `getFromBase64(String base64Padding)`
  `static final byte[]`
  `getFromBase64UrlPadding(String base64Padding)`
  `static final byte[]`
  `getFromBase64UrlWithoutPadding(String base64)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getBase16

    public static final String getBase16(byte[] bytes)
    Parameters:
      `bytes` - to transform
    Returns:
      the Base 16 representation
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getBase32

    public static final String getBase32(byte[] bytes)
    Parameters:
      `bytes` - to transform
    Returns:
      the Base 32 representation
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getBase64UrlWithoutPadding

    public static final String getBase64UrlWithoutPadding(byte[] bytes)
    Parameters:
      `bytes` - to transform
    Returns:
      the Base 64 Without Padding representation (used only for url)
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getBase64UrlWithPadding

    public static final String getBase64UrlWithPadding(byte[] bytes)
    Parameters:
      `bytes` - to transform
    Returns:
      the Base 64 With Padding representation (used only for url)
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getBase64

    public static final String getBase64(byte[] bytes)
    Parameters:
      `bytes` - to transform
    Returns:
      the Base 64 With Padding representation
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getFromBase16

    public static final byte[] getFromBase16(String base16)
    Parameters:
      `base16` - to transform
    Returns:
      the byte from Base 16
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getFromBase32

    public static final byte[] getFromBase32(String base32)
    Parameters:
      `base32` - to transform
    Returns:
      the byte from Base 32
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getFromBase64UrlWithoutPadding

    public static final byte[] getFromBase64UrlWithoutPadding(String base64)
    Parameters:
      `base64` - to transform
    Returns:
      the byte from Base 64 Without Padding (used only for url)
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getFromBase64UrlPadding

    public static final byte[] getFromBase64UrlPadding(String base64Padding)
    Parameters:
      `base64Padding` - to transform
    Returns:
      the byte from Base 64 With Padding (used only for url)
    Throws:
      `IllegalArgumentException` - if argument is not compatible

  - ### getFromBase64

    public static final byte[] getFromBase64(String base64Padding)
    Parameters:
      `base64Padding` - to transform
    Returns:
      the byte from Base 64 With Padding
    Throws:
      `IllegalArgumentException` - if argument is not compatible